Index: tests/GuiChecks/Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at
===================================================================
--- tests/GuiChecks/Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,40 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### dipole correlation - empty
+
+AT_SETUP([Analysis - dipole correlation - Empty domain])
+AT_KEYWORDS([analysis correlation dipole-correlation])
+AT_CHECK([../../molecuilder --dry-run -i emptybox.xyz -o xyz --select-molecules-by-formula H2O --dipole-correlation --bin-start 0 --bin-width 1. --bin-end 359 --output-file emptybox_values.dat --bin-output-file emptybox_histogram.dat --no-dry-run --store-session session-analysis-dipole-correlation-empty.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-analysis-dipole-correlation-empty.py >session-analysis-dipole-correlation-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-analysis-dipole-correlation-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=emptybox_histogram.dat; diff $file ${abs_top_srcdir}/tests/regression/Analysis/DipoleCorrelation-Empty/post/emptybox_histogram.dat], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Analysis - dipole correlation - Domain filled with hydrogen])
+AT_KEYWORDS([analysis correlation dipole-correlation])
+AT_CHECK([../../molecuilder --dry-run -i hydrogen.xyz -o xyz --add-atom 1 --domain-position "0,0,0" --no-dry-run --store-session session-analysis-dipole-correlation-empty.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-analysis-dipole-correlation-empty.py >session-analysis-dipole-correlation-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-analysis-dipole-correlation-empty_new.py], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i hydrogenbox.xyz -B "18.6, 0., 18.6, 0, 0, 18.6" -o xyz -l hydrogen.xyz --select-molecule-by-order -1 --fill-regular-grid --mesh-size 6 6 6 --mesh-offset "0.,0.,0." --DoRotate 0 --no-dry-run --store-session session-analysis-dipole-correlation-empty.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-analysis-dipole-correlation-empty.py >session-analysis-dipole-correlation-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-analysis-dipole-correlation-empty_new.py], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i hydrogenbox.xyz -o xyz --select-molecules-by-formula H2O --dipole-correlation --bin-start 0 --bin-width 1. --bin-end 359 --output-file hydrogenbox_values.dat --bin-output-file hydrogenbox_histogram.dat --no-dry-run --store-session session-analysis-dipole-correlation-empty.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-analysis-dipole-correlation-empty.py >session-analysis-dipole-correlation-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-analysis-dipole-correlation-empty_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=hydrogenbox_histogram.dat; diff $file ${abs_top_srcdir}/tests/regression/Analysis/DipoleCorrelation-Empty/post/hydrogenbox_histogram.dat], 0, [ignore], [ignore])
+AT_CLEANUP
